{
  pkgs,
  username,
  config,
  inputs,
  ...
}:
{
  imports = [
    ../../modules/home-manager.nix
    inputs.home-manager.nixosModules.home-manager
  ];

  home-manager.users.${username} = {
    imports = [
      ../../home/themes/catppuccin.nix
      ../../home
    ];

    programs = {
      direnv = {
        enable = true;
        nix-direnv.enable = true;
      };

      waybar.enable = true;
      ssh.enable = true;
      rofi.enable = true;
    };

    services = {
      blueman-applet.enable = true;
      swayidle.enable = true;
      syncthing.enable = true;
    };

    home = {
      stateVersion = config.system.stateVersion;
      inherit username;

      packages = with pkgs; [
        keepassxc
        kdePackages.kdeconnect-kde
        nextcloud-client
        digikam
        fragments
        element-desktop
        libreoffice
        loupe
        seahorse
        gimp
        pwvucontrol
        thunderbird
        keepassxc
        nautilus
        protonmail-bridge-gui
        varia
        signal-desktop
        tagger
        prismlauncher

        kid3
        soundconverter

        # proprietary
        obsidian

        # CLI tools
        jhead
        fdupes
        exiftool
        sshfs
        lazygit
        wl-clipboard

        # custom
        nysh
        scripts.nixedit
        scripts.set-background
        scripts.fishl
        scripts.nrun
        scripts.rpaste
        scripts.genswitch
        scripts.gentest
        scripts.editsym
        scripts.deployswitch
        scripts.deploytest
      ];
    };
  };
}
